CREATE TABLE aca_cs_object_adapter[ (
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)      NOT NULL,
    OBJECT_TYPE                       VARCHAR2(120)     NOT NULL,
    OBJECT_TYPE_DISPLAY               VARCHAR2(400) ,
    OBJECT_CLASS_NAME                 VARCHAR2(800)     NOT NULL,
    SEARCH_TASKFLOW                   VARCHAR2(1200),
    MAPPING_SET_NAME                  VARCHAR2(320) ,
    OBJECT_CLASSIFICATION             NUMBER(1, 0)  ,
    SINGLE_SELECT                     VARCHAR2(4)   ,
    OBJECT_TASKFLOW                   VARCHAR2(1200),
    OBJECT_TASKFLOW_PARAMETERS        VARCHAR2(1200),
    OBJECT_TASKFLOW_LABEL             VARCHAR2(400) ,
    VIEW_ID                           VARCHAR2(400) ,
    QUICK_VIEW_TASKFLOW               VARCHAR2(1200),
    QUICK_VIEW_TASKFLOW_PARAMETERS    VARCHAR2(1200),
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    SEED_DATA_SOURCE                  VARCHAR2(2048),
    ORA_SEED_SET1                     VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                     VARCHAR2(4)       NOT NULL
);
